Index: WAeUP_SRP/trunk/Accommodation.py
===================================================================
--- WAeUP_SRP/trunk/Accommodation.py	(revision 626)
+++ WAeUP_SRP/trunk/Accommodation.py	(revision 627)
@@ -23,9 +23,9 @@
     portal_type = meta_type
     security = ClassSecurityInfo()
-
+    
     security.declareProtected(View,"Title")
     def Title(self):
         """compose title"""
-        return "Accommodation Halls"
+        return "Accommodation"    
 
     security.declareProtected(ModifyPortalContent,"generateFreeBedsList") ###(
@@ -52,7 +52,7 @@
             if h.which_sex:
                 sex = 'female'
-            for block in range(1,int(h.nr_of_blocks)):
-                for floor in range(1,int(h.nr_of_floors)):
-                    for room in range(1,int(h.rooms_per_floor)):
+            for block in range(1,int(h.nr_of_blocks)+1):
+                for floor in range(1,int(h.nr_of_floors)+1):
+                    for room in range(1,int(h.rooms_per_floor)+1):
                         for bed in 'ABCDEFGH'[:int(h.beds_per_room)]:
                             room_nr = floor*100 + room
@@ -69,9 +69,9 @@
                             uid = '%s_%d_%d_%s' % (hall.getId(),block,room_nr,bed)
                             try:
-                                freelist.addRecord(bed = uid, bed_type = bt,hall =hall.getId())
+                                freelist.addRecord(bed = uid, bed_type = bt,hall = hall.getId())
                                 count +=1
                                 generated.append('"%(uid)s","%(bt)s"' % vars())
                             except ValueError:
-                                freelist.modifyRecord(bed = uid, bed_type = bt,hall =hall.getId())
+                                #freelist.modifyRecord(bed = uid, bed_type = bt,hall =hall.getId())
                                 pass
             hall_gen['count']= count
Index: WAeUP_SRP/trunk/profiles/default/types.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types.xml	(revision 626)
+++ WAeUP_SRP/trunk/profiles/default/types.xml	(revision 627)
@@ -16,4 +16,5 @@
  <object name="Semester" meta_type="CPS Flexible Type Information"/>
  <object name="Student" meta_type="CPS Flexible Type Information"/>
+ <object name="StudentAccommodation" meta_type="CPS Flexible Type Information"/>
  <object name="StudentStudyLevel" meta_type="CPS Flexible Type Information"/>
  <object name="StudentStudyCourse" meta_type="CPS Flexible Type Information"/>
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 626)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 627)
@@ -11,4 +11,16 @@
       <h3 tal:content="here/title_or_id" />
       <div tal:condition="nothing" tal:content="info/container_path"/>
+      <table tal:condition="info/bed_types"
+             tal:define="bed_types info/bed_types">
+        <tr>
+          <th>Bed Type</th>
+          <th>Beds</th>
+        </tr>
+        <tr tal:repeat="bt bed_types">
+          <td tal:content="bt/name" />
+          <td tal:content="bt/count" />
+        </tr>
+        <tr><td>&nbsp;</td></tr>
+      </table>
     </metal:block>
     <metal:main fill-slot="main">
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallsInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallsInfo.py	(revision 626)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallsInfo.py	(revision 627)
@@ -38,7 +38,8 @@
 bed_types = pa.uniqueValuesFor('bed_type')
 bt_list = []
+bt_names =  context.getBedTypeNames()
 for bt in bed_types:
     res = pa(bed_type=bt)
-    bt_list.append({'name': bt, 'count': len(res)})
+    bt_list.append({'name': bt_names[bt], 'count': len(res)})
 info['bed_types'] = bt_list
 reserved = pa.uniqueValuesFor('student')
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getHallInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getHallInfo.py	(revision 626)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getHallInfo.py	(revision 627)
@@ -17,5 +17,5 @@
 path_info = request.get('PATH_INFO').split('/')
 mtool = context.portal_membership
-
+pa = context.portal_accommodation
 info = {}
 #dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
@@ -26,3 +26,11 @@
 info['choosen_ids'] = request.get('ids',[])
 info['doc'] = context.getContent()
+bed_types = pa.uniqueValuesFor('bed_type')
+bt_list = []
+bt_names =  context.getBedTypeNames()
+for bt in bed_types:
+    res = pa(bed_type=bt,hall=context.getId())
+    bt_list.append({'name': bt_names[bt], 'count': len(res)})
+info['bed_types'] = bt_list
+
 return info