Index: eUP_SRP/trunk/skins/waeup_accommodation/acco_reserve_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_reserve_form.pt	(revision 635)
+++ 	(revision )
@@ -1,30 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-                   portal_status_message options/psm;
-                   data_storage options/ds;
-                   jamb options/jamb/getContent|nothing;
-                   edition python:1;"
-                   >
-<metal:block define-macro="edit_form">
-  <metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header"
-    tal:define="creation creation|nothing;
-                edition edition|nothing;
-                metadata metadata|nothing"
-                >
-    </metal:block>
-      <metal:block fill-slot="main">
-        <h3>Book Your Accommodation! </h3>
-        <br />
-        <div tal:replace="structure rendered_main" />
-          <p>Instructions :</p>
-          <ul>
-            <li>Buy a Hostel Application Scratch Card.</li> 
-            <li>Enter the PIN above.</li>
-            <li>Print the Hostel Allocation Slip.</li>
-          </ul>
-      </metal:block>
-      <metal:block fill-slot="sub">
-      </metal:block>
-    </metal:block>
-  </metal:block>
-</tal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/reserve_acco.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/reserve_acco.py	(revision 635)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/reserve_acco.py	(revision 636)
@@ -25,5 +25,5 @@
                       )
 if psm == 'invalid':
-    return context.acco_reserve_form(rendered = res,
+    return context.reserve_acco_form(rendered = res,
                                  #psm = "Please correct your input.",
                                  psm = "%s, %s" % (psm,ds),
@@ -33,5 +33,5 @@
                                  )
 elif psm == '':
-    return context.acco_reserve_form(rendered = res,
+    return context.reserve_acco_form(rendered = res,
                                  psm = None,
                                  firstlayout = True,
@@ -45,5 +45,5 @@
     code,bed = pa.searchAndReserveBed(s_id,"%s_%s" % (info['sex'],ds.get('student_status')))
     if code < 0:
-        return context.acco_reserve_form(rendered = res,
+        return context.reserve_acco_form(rendered = res,
                                  psm = bed,
                                  firstlayout = True,
@@ -52,5 +52,5 @@
                                  )
     else:
-        return context.acco_reserve_form(rendered = res,
+        return context.reserve_acco_form(rendered = res,
                                  psm = "successfully reserved bed %s" % bed,
                                  firstlayout = True,
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/reserve_acco_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/reserve_acco_form.pt	(revision 636)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/reserve_acco_form.pt	(revision 636)
@@ -0,0 +1,30 @@
+<tal:block define="rendered_main options/rendered;
+                   portal_status_message options/psm;
+                   data_storage options/ds;
+                   jamb options/jamb/getContent|nothing;
+                   edition python:1;"
+                   >
+<metal:block define-macro="edit_form">
+  <metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="header"
+    tal:define="creation creation|nothing;
+                edition edition|nothing;
+                metadata metadata|nothing"
+                >
+    </metal:block>
+      <metal:block fill-slot="main">
+        <h3>Book Your Accommodation! </h3>
+        <br />
+        <div tal:replace="structure rendered_main" />
+          <p>Instructions :</p>
+          <ul>
+            <li>Buy a Hostel Application Scratch Card.</li> 
+            <li>Enter the PIN above.</li>
+            <li>Print the Hostel Allocation Slip.</li>
+          </ul>
+      </metal:block>
+      <metal:block fill-slot="sub">
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>