Index: WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py	(revision 649)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py	(revision 649)
@@ -0,0 +1,32 @@
+## Script (Python) "academics_index"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=batch=None
+##title=
+##
+# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return the appropriate page in the academics section
+"""
+
+request = context.REQUEST
+redirect = request.RESPONSE.redirect
+pm = context.portal_membership
+
+if pm.isAnonymousUser():
+    return redirect("%s/academics_contents" % context.absolute_url())
+
+campus = context.portal_catalog(meta_type = "University")[-1].getObject()
+
+if context.isManager():
+    if context.portal_type == 'AccoFolder':
+        return context.accommodation.acco_folder_view()
+    elif context.portal_type == 'AccoHall':
+        return context.acco_hall_view()
+    return redirect("%s/academics_contents" % context.absolute_url())
+else:
+    return redirect("%s/academics_contents" % context.absolute_url())
+
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_view.pt	(revision 649)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_view.pt	(revision 649)
@@ -0,0 +1,113 @@
+<metal:html tal:define="info context/getAccoFolderInfo;
+            is_manager info/is_manager|nothing;
+            beds_generated options/beds_generated|nothing"
+            >
+  <metal:body use-macro="here/waeup_content_master/macros/master">
+    <metal:block fill-slot="header">
+      <a href="" tal:condition="nothing"
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3 tal:content="here/title_or_id">
+        Page Title
+      </h3>
+      <table tal:condition="beds_generated">
+        <tr>
+          <th width="200px">Hall Name</th>
+          <th>New Beds Generated</th>
+        </tr>
+        <tr tal:repeat="hall beds_generated">
+          <td tal:content="hall/name"></td>
+          <td tal:content="hall/count"></td>
+        </tr>
+      </table>
+      <table tal:condition="info/bed_types"
+             tal:define="bed_types info/bed_types">
+        <tr>
+          <th width="200px">Bed Type</th>
+          <th>Total No of Beds</th>
+        </tr>
+        <tr tal:repeat="bt bed_types">
+          <td tal:content="bt/name" />
+          <td tal:content="bt/count" />
+        </tr>
+      </table>
+      <table tal:condition="info/reserved"
+             tal:define="reserved info/reserved">
+        <tr>
+          <th width="200px">Student</th>
+          <th>Bed</th>
+        </tr>
+        <tr tal:repeat="bt reserved">
+          <td tal:content="bt/student" />
+          <td tal:content="bt/bed" />
+        </tr>
+      </table>
+    </metal:block>
+    <metal:main fill-slot="main">
+      <form action="" method="post" class="group"
+            tal:attributes="action info/action"
+            tal:define="rows python: info['items'];"
+            >
+        <span tal:condition="python: 0" tal:content="structure rows" />
+        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <tr tal:repeat="row rows"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td align="left" valign="middle" style="width: 5px;" 
+                tal:condition="is_manager">
+              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                     tal:condition="is_manager"
+                     tal:define="id row/id"
+                     tal:attributes="value id;
+                     id python:'cb_' + id;
+                     checked python:id in info['choosen_ids'];" 
+                     />
+            </td>
+            <td><a href="view" tal:attributes="href string:${row/url}">
+              <strong tal:content="row/title" /></a> </td>
+            <td tal:content="row/id"> </td>
+            
+            <td> 
+            <a tal:condition="row/is_editable"
+                href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                target="edit"
+                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                [edit]
+                </a> 
+            </td>
+            
+          </tr>
+        </table>
+        <table width="100%" cellspacing="0" cellpadding="2"
+               summary="contents of the folder"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+              <span tal:condition="is_manager">
+                <input type="button" value="button_select_all" class="context"
+                       onclick="someJavaScriptFunctionThatWillBeReplaced"
+                       i18n:attributes="value"
+                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                       />
+                <input type="submit" name="hall_delete:method" value="button_delete"
+                       class="destructive" i18n:attributes="value"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       (cpsmcat('description_confirm_delete'), )" 
+                       />
+                <input tal:condition="python: 0 and context.portal_type not in ('Semester','Certificate')"
+                       type="submit" name="id_rename_form:method"
+                       class="context" value="Change Object ID" i18n:attributes="value" 
+                       />
+              </span>
+            </td>
+          </tr>
+        </table>
+      </form>
+    </metal:main>
+    
+    <metal:sub fill-slot="sub"/>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 644)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/acco_hall_view.pt	(revision 649)
@@ -1,3 +1,3 @@
-<metal:html tal:define="info context/getHallInfo;
+<metal:html tal:define="info context/getAccoHallInfo;
             is_manager info/is_manager|nothing;"
             >
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_index.py	(revision 644)
+++ 	(revision )
@@ -1,32 +1,0 @@
-## Script (Python) "academics_index"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=batch=None
-##title=
-##
-# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
-"""
-return the appropriate page in the academics section
-"""
-
-request = context.REQUEST
-redirect = request.RESPONSE.redirect
-pm = context.portal_membership
-
-if pm.isAnonymousUser():
-    return redirect("%s/academics_contents" % context.absolute_url())
-
-campus = context.portal_catalog(meta_type = "University")[-1].getObject()
-
-if context.isManager():
-    if context.portal_type == 'AccoFolder':
-        return context.accommodation.accommodation_view()
-    elif context.portal_type == 'AccoHall':
-        return context.acco_hall_view()
-    return redirect("%s/academics_contents" % context.absolute_url())
-else:
-    return redirect("%s/academics_contents" % context.absolute_url())
-
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/accommodation_view.pt	(revision 644)
+++ 	(revision )
@@ -1,113 +1,0 @@
-<metal:html tal:define="info context/getAccoHallsInfo;
-            is_manager info/is_manager|nothing;
-            beds_generated options/beds_generated|nothing"
-            >
-  <metal:body use-macro="here/waeup_content_master/macros/master">
-    <metal:block fill-slot="header">
-      <a href="" tal:condition="nothing"
-         tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
-      <h3 tal:content="here/title_or_id">
-        Page Title
-      </h3>
-      <table tal:condition="beds_generated">
-        <tr>
-          <th width="200px">Hall Name</th>
-          <th>New Beds Generated</th>
-        </tr>
-        <tr tal:repeat="hall beds_generated">
-          <td tal:content="hall/name"></td>
-          <td tal:content="hall/count"></td>
-        </tr>
-      </table>
-      <table tal:condition="info/bed_types"
-             tal:define="bed_types info/bed_types">
-        <tr>
-          <th width="200px">Bed Type</th>
-          <th>Total No of Beds</th>
-        </tr>
-        <tr tal:repeat="bt bed_types">
-          <td tal:content="bt/name" />
-          <td tal:content="bt/count" />
-        </tr>
-      </table>
-      <table tal:condition="info/reserved"
-             tal:define="reserved info/reserved">
-        <tr>
-          <th width="200px">Student</th>
-          <th>Bed</th>
-        </tr>
-        <tr tal:repeat="bt reserved">
-          <td tal:content="bt/student" />
-          <td tal:content="bt/bed" />
-        </tr>
-      </table>
-    </metal:block>
-    <metal:main fill-slot="main">
-      <form action="" method="post" class="group"
-            tal:attributes="action info/action"
-            tal:define="rows python: info['items'];"
-            >
-        <span tal:condition="python: 0" tal:content="structure rows" />
-        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
-          <tr tal:repeat="row rows"
-            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td align="left" valign="middle" style="width: 5px;" 
-                tal:condition="is_manager">
-              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                     tal:condition="is_manager"
-                     tal:define="id row/id"
-                     tal:attributes="value id;
-                     id python:'cb_' + id;
-                     checked python:id in info['choosen_ids'];" 
-                     />
-            </td>
-            <td><a href="view" tal:attributes="href string:${row/url}">
-              <strong tal:content="row/title" /></a> </td>
-            <td tal:content="row/id"> </td>
-            
-            <td> 
-            <a tal:condition="row/is_editable"
-                href="edit" tal:attributes="href string:${row/url}/external_edit_form"
-                target="edit"
-                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
-                [edit]
-                </a> 
-            </td>
-            
-          </tr>
-        </table>
-        <table width="100%" cellspacing="0" cellpadding="2"
-               summary="contents of the folder"
-               class="folderButtons">
-          <tr>
-            <td align="left" valign="top" rowspan="3"></td>
-            <td align="left" valign="top">
-              <span tal:condition="is_manager">
-                <input type="button" value="button_select_all" class="context"
-                       onclick="someJavaScriptFunctionThatWillBeReplaced"
-                       i18n:attributes="value"
-                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                       />
-                <input type="submit" name="hall_delete:method" value="button_delete"
-                       class="destructive" i18n:attributes="value"
-                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                       (cpsmcat('description_confirm_delete'), )" 
-                       />
-                <input tal:condition="python: 0 and context.portal_type not in ('Semester','Certificate')"
-                       type="submit" name="id_rename_form:method"
-                       class="context" value="Change Object ID" i18n:attributes="value" 
-                       />
-              </span>
-            </td>
-          </tr>
-        </table>
-      </form>
-    </metal:main>
-    
-    <metal:sub fill-slot="sub"/>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py	(revision 649)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoFolderInfo.py	(revision 649)
@@ -0,0 +1,54 @@
+## Script (Python) "cpsdocument_edit"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student=None
+##title=
+##
+# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return Info about the Faculties
+"""
+request = context.REQUEST
+
+wf = context.portal_workflow
+mtool = context.portal_membership
+path_info = request.get('PATH_INFO').split('/')
+
+info = {}
+info['is_manager'] = context.isManager()
+info['is_student'] = context.isStudent()
+info['action'] = "%s" % context.absolute_url()
+info['choosen_ids'] = request.get('ids',[])
+items = []
+halls = context.portal_catalog(portal_type='AccoHall')
+for f in halls:
+    row = {}
+    fo = f.getObject()
+    fd = fo.getContent()
+    row['id'] = fo.getId()
+    row['title'] = fd.Title()
+    row['url'] = fo.absolute_url()
+    row['is_editable'] = mtool.checkPermission('Modify portal content', fo)
+    items.append(row)
+info['items'] = items
+pa = context.portal_accommodation
+bed_types = pa.uniqueValuesFor('bed_type')
+bt_list = []
+bt_names =  context.getBedTypeNames()
+for bt in bed_types:
+    res = pa(bed_type=bt)
+    bt_list.append({'name': bt_names[bt], 'count': len(res)})
+info['bed_types'] = bt_list
+reserved = pa.uniqueValuesFor('student')
+res_list = []
+if reserved > 1:
+    for st in reserved:
+        if st:
+            res = pa(student=st)
+            res_list.append({'student': st, 'bed': res[0].bed })
+info['reserved'] = res_list
+
+return info
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py	(revision 649)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallInfo.py	(revision 649)
@@ -0,0 +1,36 @@
+## Script (Python) "cpsdocument_edit"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student=None
+##title=
+##
+# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return Info about the Faculties
+"""
+request = context.REQUEST
+
+wf = context.portal_workflow
+path_info = request.get('PATH_INFO').split('/')
+mtool = context.portal_membership
+pa = context.portal_accommodation
+info = {}
+#dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
+dep_id = context.aq_parent.getId()
+info['is_manager'] = context.isManager()
+info['is_student'] = context.isStudent()
+info['action'] = "%s" % context.absolute_url()
+info['choosen_ids'] = request.get('ids',[])
+info['doc'] = context.getContent()
+bed_types = pa.uniqueValuesFor('bed_type')
+bt_list = []
+bt_names =  context.getBedTypeNames()
+for bt in bed_types:
+    res = pa(bed_type=bt,hall=context.getId())
+    bt_list.append({'name': bt_names[bt], 'count': len(res)})
+info['bed_types'] = bt_list
+
+return info
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallsInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getAccoHallsInfo.py	(revision 644)
+++ 	(revision )
@@ -1,54 +1,0 @@
-## Script (Python) "cpsdocument_edit"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=student=None
-##title=
-##
-# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
-"""
-return Info about the Faculties
-"""
-request = context.REQUEST
-
-wf = context.portal_workflow
-mtool = context.portal_membership
-path_info = request.get('PATH_INFO').split('/')
-
-info = {}
-info['is_manager'] = context.isManager()
-info['is_student'] = context.isStudent()
-info['action'] = "%s" % context.absolute_url()
-info['choosen_ids'] = request.get('ids',[])
-items = []
-halls = context.portal_catalog(portal_type='AccoHall')
-for f in halls:
-    row = {}
-    fo = f.getObject()
-    fd = fo.getContent()
-    row['id'] = fo.getId()
-    row['title'] = fd.Title()
-    row['url'] = fo.absolute_url()
-    row['is_editable'] = mtool.checkPermission('Modify portal content', fo)
-    items.append(row)
-info['items'] = items
-pa = context.portal_accommodation
-bed_types = pa.uniqueValuesFor('bed_type')
-bt_list = []
-bt_names =  context.getBedTypeNames()
-for bt in bed_types:
-    res = pa(bed_type=bt)
-    bt_list.append({'name': bt_names[bt], 'count': len(res)})
-info['bed_types'] = bt_list
-reserved = pa.uniqueValuesFor('student')
-res_list = []
-if reserved > 1:
-    for st in reserved:
-        if st:
-            res = pa(student=st)
-            res_list.append({'student': st, 'bed': res[0].bed })
-info['reserved'] = res_list
-
-return info
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getHallInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getHallInfo.py	(revision 644)
+++ 	(revision )
@@ -1,36 +1,0 @@
-## Script (Python) "cpsdocument_edit"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=student=None
-##title=
-##
-# $Id: student_edit.py 486 2006-09-06 10:09:39Z joachim $
-"""
-return Info about the Faculties
-"""
-request = context.REQUEST
-
-wf = context.portal_workflow
-path_info = request.get('PATH_INFO').split('/')
-mtool = context.portal_membership
-pa = context.portal_accommodation
-info = {}
-#dep_id = request.get('PATH_TRANSLATED').split('/')[-2]
-dep_id = context.aq_parent.getId()
-info['is_manager'] = context.isManager()
-info['is_student'] = context.isStudent()
-info['action'] = "%s" % context.absolute_url()
-info['choosen_ids'] = request.get('ids',[])
-info['doc'] = context.getContent()
-bed_types = pa.uniqueValuesFor('bed_type')
-bt_list = []
-bt_names =  context.getBedTypeNames()
-for bt in bed_types:
-    res = pa(bed_type=bt,hall=context.getId())
-    bt_list.append({'name': bt_names[bt], 'count': len(res)})
-info['bed_types'] = bt_list
-
-return info