Index: eUP_SRP/trunk/skins/waeup_academics/academics_view.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.py	(revision 650)
+++ 	(revision )
@@ -1,73 +1,0 @@
-##parameters=REQUEST=None
-# $Id$
-"""
-"""
-request = REQUEST
-rget = request.get
-rset = request.set
-fget = request.form.get
-form = request.form
-fhas = request.form.has_key
-
-
-lt = context.portal_layouts
-pr = context.portal_registration
-pm = context.portal_membership
-items = context.contentValues()
-
-validate = fhas('add') or fhas('change') or fhas('delete')
-res,psm,ds = lt.renderLayout(layout_id='faculty_row',
-                      schema_id= 'faculty_row',
-                      context=context,
-                      mapping= {},#validate and request,
-                      ob={},
-                      layout_mode='edit',
-                      formaction = "academics_view",
-                      items=items,
-                      )
-#return res
-
-if True:# or psm == 'invalid':
-    return context.academics_view_form(rendered = res,
-                                 psm = 'Please correct your errors',
-                                 ds = ds,
-                                 )
-elif psm == '':
-    return context.academics_view_form(rendered = res,
-                                 psm = psm,
-                                 ds = ds,
-                                 )
-inr = 0
-if fhas('add') and (fget('type') or fget('subject') or fget('result')):
-    sr.append((fget('type'),fget('subject'),fget('result')))
-    psm = "new result added"
-elif fhas('change') and fget('keys'):
-    for k in fget('keys'):
-        sr[int(k)] = (fget('type_%s' % k),fget('subject_%s' % k),fget('result_%s' % k))
-        inr += 1
-    psm = "%s items changed" % inr
-elif fhas('delete') and fget('keys'):
-    new = []
-    todelete = fget('keys')
-    for k in range(len(sr)):
-        if str(k) not in todelete:
-            new.append(sr[k])
-    inr = len(todelete)
-    sr = new
-    psm = "%s items deleted" % inr
-elif psm == 'valid':
-    psm = "Your changes have been saved."
-
-res,dummy,fds = lt.renderLayout(layout_id= 'faculty_row',
-                      schema_id= 'faculty_row',
-                      context=context,
-                      mapping=request,
-                      ob={},
-                      layout_mode='create',
-                      formaction = "academics_view",
-                      )
-
-return context.academic_view_form(rendered = res,
-                                 #psm = "%s <br /> %s" % (str(ds),str(lt.faculty_row.getLayoutDefinition()))
-                                 psm = psm,
-                                 )
Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.py_not_used
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.py_not_used	(revision 651)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_view.py_not_used	(revision 651)
@@ -0,0 +1,73 @@
+##parameters=REQUEST=None
+# $Id: academics_view.py 296 2006-07-14 13:52:50Z joachim $
+"""
+"""
+request = REQUEST
+rget = request.get
+rset = request.set
+fget = request.form.get
+form = request.form
+fhas = request.form.has_key
+
+
+lt = context.portal_layouts
+pr = context.portal_registration
+pm = context.portal_membership
+items = context.contentValues()
+
+validate = fhas('add') or fhas('change') or fhas('delete')
+res,psm,ds = lt.renderLayout(layout_id='faculty_row',
+                      schema_id= 'faculty_row',
+                      context=context,
+                      mapping= {},#validate and request,
+                      ob={},
+                      layout_mode='edit',
+                      formaction = "academics_view",
+                      items=items,
+                      )
+#return res
+
+if True:# or psm == 'invalid':
+    return context.academics_view_form(rendered = res,
+                                 psm = 'Please correct your errors',
+                                 ds = ds,
+                                 )
+elif psm == '':
+    return context.academics_view_form(rendered = res,
+                                 psm = psm,
+                                 ds = ds,
+                                 )
+inr = 0
+if fhas('add') and (fget('type') or fget('subject') or fget('result')):
+    sr.append((fget('type'),fget('subject'),fget('result')))
+    psm = "new result added"
+elif fhas('change') and fget('keys'):
+    for k in fget('keys'):
+        sr[int(k)] = (fget('type_%s' % k),fget('subject_%s' % k),fget('result_%s' % k))
+        inr += 1
+    psm = "%s items changed" % inr
+elif fhas('delete') and fget('keys'):
+    new = []
+    todelete = fget('keys')
+    for k in range(len(sr)):
+        if str(k) not in todelete:
+            new.append(sr[k])
+    inr = len(todelete)
+    sr = new
+    psm = "%s items deleted" % inr
+elif psm == 'valid':
+    psm = "Your changes have been saved."
+
+res,dummy,fds = lt.renderLayout(layout_id= 'faculty_row',
+                      schema_id= 'faculty_row',
+                      context=context,
+                      mapping=request,
+                      ob={},
+                      layout_mode='create',
+                      formaction = "academics_view",
+                      )
+
+return context.academic_view_form(rendered = res,
+                                 #psm = "%s <br /> %s" % (str(ds),str(lt.faculty_row.getLayoutDefinition()))
+                                 psm = psm,
+                                 )
Index: eUP_SRP/trunk/skins/waeup_academics/certificate_view.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.py	(revision 650)
+++ 	(revision )
@@ -1,13 +1,0 @@
-##parameters=psm=None
-# $Id$
-
-"""
-"""
-
-member = context.portal_membership.getAuthenticatedMember()
-uname = str(member)
-roles = member.getRoles()
-cat = context.portal_catalog
-request = context.REQUEST
-url0 = request.get('URL0')
-return context.certificate_view_form()
Index: /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.py_not_used
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.py_not_used	(revision 651)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view.py_not_used	(revision 651)
@@ -0,0 +1,13 @@
+##parameters=psm=None
+# $Id: certificate_view.py 486 2006-09-06 10:09:39Z joachim $
+
+"""
+"""
+
+member = context.portal_membership.getAuthenticatedMember()
+uname = str(member)
+roles = member.getRoles()
+cat = context.portal_catalog
+request = context.REQUEST
+url0 = request.get('URL0')
+return context.certificate_view_form()
Index: eUP_SRP/trunk/skins/waeup_academics/certificate_view_form.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view_form.pt	(revision 650)
+++ 	(revision )
@@ -1,46 +1,0 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="head_slot">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-  </metal:block>
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-               tal:define="roles member/getRoles;
-               folder here/getContent;
-               items here/contentValues"
-               >
-<tal:block tal:content="structure python:doc.render()" />
-    <br />      
-    <p>The Levels</p>
-    <tal:block condition="python: len(items)">  
-      <table>
-        <span tal:repeat="item items">
-          <tr>
-            <td>
-              Level :
-            </td>
-            <td>
-              <i>
-                <a href="xxx"  
-                   tal:attributes="href item/absolute_url"
-                   tal:content="item/id"></a> <span tal:condition="nothing" tal:content="item/title_or_id" tal:omit-tag="" />
-              </i>
-            </td>
-          </tr>
-        </span>
-      </table>
-    </tal:block>
-    
-    <tal:block condition="python: not len(items)">
-        (No items contained here!)
-    </tal:block>
-  
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view_form.pt_not_used
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view_form.pt_not_used	(revision 651)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/certificate_view_form.pt_not_used	(revision 651)
@@ -0,0 +1,46 @@
+<html metal:use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="head_slot">
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}document.css" />
+  </metal:block>
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="main"
+               tal:define="roles member/getRoles;
+               folder here/getContent;
+               items here/contentValues"
+               >
+<tal:block tal:content="structure python:doc.render()" />
+    <br />      
+    <p>The Levels</p>
+    <tal:block condition="python: len(items)">  
+      <table>
+        <span tal:repeat="item items">
+          <tr>
+            <td>
+              Level :
+            </td>
+            <td>
+              <i>
+                <a href="xxx"  
+                   tal:attributes="href item/absolute_url"
+                   tal:content="item/id"></a> <span tal:condition="nothing" tal:content="item/title_or_id" tal:omit-tag="" />
+              </i>
+            </td>
+          </tr>
+        </span>
+      </table>
+    </tal:block>
+    
+    <tal:block condition="python: not len(items)">
+        (No items contained here!)
+    </tal:block>
+  
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+</html>
Index: eUP_SRP/trunk/skins/waeup_academics/course_index_html.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/course_index_html.py	(revision 650)
+++ 	(revision )
@@ -1,14 +1,0 @@
-##parameters=post_id=None, REQUEST=None
-
-# $Id$
-
-"""Default view for the Student."""
-member = context.portal_membership.getAuthenticatedMember()
-if not context.portal_membership.isAnonymousUser():
-    roles = member.getRoles()
-    if 'Manager' in roles:
-        return context.cpsdocument_view()
-    elif 'StudentManager' in roles:
-        return context.course_view_manager()
-return context.course_view_student()
-
Index: /WAeUP_SRP/trunk/skins/waeup_academics/course_index_html.py_not_used
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/course_index_html.py_not_used	(revision 651)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/course_index_html.py_not_used	(revision 651)
@@ -0,0 +1,14 @@
+##parameters=post_id=None, REQUEST=None
+
+# $Id: course_index_html.py 280 2006-06-30 06:43:03Z joachim $
+
+"""Default view for the Student."""
+member = context.portal_membership.getAuthenticatedMember()
+if not context.portal_membership.isAnonymousUser():
+    roles = member.getRoles()
+    if 'Manager' in roles:
+        return context.cpsdocument_view()
+    elif 'StudentManager' in roles:
+        return context.course_view_manager()
+return context.course_view_student()
+
Index: eUP_SRP/trunk/skins/waeup_academics/course_view_manager.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/course_view_manager.pt	(revision 650)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<metal:block define-macro="view">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}forum.css" />
-  </metal:block>
-
-  <metal:block fill-slot="main">
-    <tal:block tal:content="structure rendered_main|python:doc.render(proxy=here)" />
-
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-
-</metal:block>
-</metal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/course_view_manager.pt_not_used
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/course_view_manager.pt_not_used	(revision 651)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/course_view_manager.pt_not_used	(revision 651)
@@ -0,0 +1,21 @@
+<metal:block define-macro="view">
+<metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}document.css" />
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}forum.css" />
+  </metal:block>
+
+  <metal:block fill-slot="main">
+    <tal:block tal:content="structure rendered_main|python:doc.render(proxy=here)" />
+
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+
+</metal:block>
+</metal:block>
Index: eUP_SRP/trunk/skins/waeup_academics/course_view_student.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/course_view_student.pt	(revision 650)
+++ 	(revision )
@@ -1,32 +1,0 @@
-<metal:block define-macro="view">
-<metal:block use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}forum.css" />
-  </metal:block>
-
-  <metal:block fill-slot="main">
-      
-    <tal:block tal:content="structure rendered_main|python:doc.render(proxy=here)" />
-
-    <tal:block tal:condition="python:hasattr(here,'portal_discussion') and
-      hasattr(here.portal_discussion, 'isCommentingAllowedFor')">
-      <tal:block tal:define="comments_allowed
-        python:here.portal_discussion.isCommentingAllowedFor(here);"
-        tal:condition="comments_allowed">
-        <metal:block
-          use-macro="here/forum_comment_lib_view_comments_inline/macros/view_comments_inline" />
-      </tal:block>
-    </tal:block>
-
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-
-</metal:block>
-</metal:block>
Index: /WAeUP_SRP/trunk/skins/waeup_academics/course_view_student.pt_not_used
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/course_view_student.pt_not_used	(revision 651)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/course_view_student.pt_not_used	(revision 651)
@@ -0,0 +1,32 @@
+<metal:block define-macro="view">
+<metal:block use-macro="here/content_lib_master/macros/master">
+  <metal:block fill-slot="header">
+  </metal:block>
+
+  <metal:block fill-slot="css_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}document.css" />
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}forum.css" />
+  </metal:block>
+
+  <metal:block fill-slot="main">
+      
+    <tal:block tal:content="structure rendered_main|python:doc.render(proxy=here)" />
+
+    <tal:block tal:condition="python:hasattr(here,'portal_discussion') and
+      hasattr(here.portal_discussion, 'isCommentingAllowedFor')">
+      <tal:block tal:define="comments_allowed
+        python:here.portal_discussion.isCommentingAllowedFor(here);"
+        tal:condition="comments_allowed">
+        <metal:block
+          use-macro="here/forum_comment_lib_view_comments_inline/macros/view_comments_inline" />
+      </tal:block>
+    </tal:block>
+
+  </metal:block>
+  <metal:block fill-slot="sub">
+  </metal:block>
+
+</metal:block>
+</metal:block>