Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 649)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 652)
@@ -238,5 +238,5 @@
               title="Apply for PUME" priority="2"
               icon_expr="bell.png"/>
- <action-icon category="student" action_id="reserve_acco"
+ <action-icon category="student" action_id="reserve_accommodation"
               title="Book Hostal" priority="3"
               icon_expr="bell.png"/>                          
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 649)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 652)
@@ -138,7 +138,7 @@
    <permission>View</permission>
   </action>
-  <action title="Book Hostal" action_id="reserve_acco"
+  <action title="Book Hostal" action_id="reserve_accommodation"
      category="student" condition_expr="member"
-     url_expr="string:${portal_url}/reserve_acco"
+     url_expr="string:${portal_url}/reserve_accommodation"
      visible="True">
    <permission>View</permission>
Index: WAeUP_SRP/trunk/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 649)
+++ WAeUP_SRP/trunk/profiles/default/layouts.xml	(revision 652)
@@ -14,5 +14,5 @@
  <object name="student_study_course" meta_type="CPS Layout"/>
  <object name="student_accommodation" meta_type="CPS Layout"/>
- <object name="student_acco_reserve" meta_type="CPS Layout"/>
+ <object name="student_accommodation_fe" meta_type="CPS Layout"/>
  <object name="student_application" meta_type="CPS Layout"/>
  <object name="student_application_fe" meta_type="CPS Layout"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_acco_reserve.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_acco_reserve.xml	(revision 649)
+++ 	(revision )
@@ -1,42 +1,0 @@
-<?xml version="1.0"?>
-<object name="student_acco_reserve" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_application_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="acco_res_sc_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Scratch Card Pin</property>
-  <property name="fields">
-   <element value="acco_res_sc_pin"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Scratch Card Pin</property>
-  <property name="label_edit">Scratch Card Pin</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="prefix">HOS</property>
- </widget>
- <widget name="student_status" meta_type="Select Widget">
-  <property name="title">Status</property>
-  <property name="fields">
-   <element value="student_status"/>
-  </property>
-  <property name="label">Status</property>
-  <property name="label_edit">Status</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">student_status_voc</property>
- </widget>
- <table>
-  <row>
-   <cell name="acco_res_sc_pin"/>
-  </row>
-  <row>
-   <cell name="student_status"/>
-  </row>
- </table>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 652)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 652)
@@ -0,0 +1,42 @@
+<?xml version="1.0"?>
+<object name="student_acco_reserve" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_application_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="acco_res_sc_pin" meta_type="Scratchcard Pin Widget">
+  <property name="title">Scratch Card Pin</property>
+  <property name="fields">
+   <element value="acco_res_sc_pin"/>
+  </property>
+  <property name="is_required">True</property>
+  <property name="label">Scratch Card Pin</property>
+  <property name="label_edit">Scratch Card Pin</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="prefix">HOS</property>
+ </widget>
+ <widget name="student_status" meta_type="Select Widget">
+  <property name="title">Status</property>
+  <property name="fields">
+   <element value="student_status"/>
+  </property>
+  <property name="label">Status</property>
+  <property name="label_edit">Status</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">student_status_voc</property>
+ </widget>
+ <table>
+  <row>
+   <cell name="acco_res_sc_pin"/>
+  </row>
+  <row>
+   <cell name="student_status"/>
+  </row>
+ </table>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas.xml	(revision 649)
+++ WAeUP_SRP/trunk/profiles/default/schemas.xml	(revision 652)
@@ -17,5 +17,5 @@
  <object name="scratch_card_batch" meta_type="CPS Schema"/>
  <object name="student_accommodation" meta_type="CPS Schema"/>
- <object name="student_acco_reserve" meta_type="CPS Schema"/>
+ <object name="student_accommodation_fe" meta_type="CPS Schema"/>
  <object name="student_application" meta_type="CPS Schema"/>
  <object name="student_clearance" meta_type="CPS Schema"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_acco_reserve.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_acco_reserve.xml	(revision 649)
+++ 	(revision )
@@ -1,5 +1,0 @@
-<?xml version="1.0"?>
-<object name="student_acco_reserve" meta_type="CPS Schema">
- <field name="acco_res_sc_pin" meta_type="CPS String Field"/>
- <field name="student_status" meta_type="CPS String Field"/>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_accommodation_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_accommodation_fe.xml	(revision 652)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_accommodation_fe.xml	(revision 652)
@@ -0,0 +1,5 @@
+<?xml version="1.0"?>
+<object name="student_acco_reserve" meta_type="CPS Schema">
+ <field name="acco_res_sc_pin" meta_type="CPS String Field"/>
+ <field name="student_status" meta_type="CPS String Field"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 649)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 652)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentAccommodation</property>
- <property name="immediate_view">hostal_reservation_slip</property>
+ <property name="immediate_view">accommodation_slip</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -26,8 +26,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="hostal_reservation_slip"/>
- <alias from="view" to="hostal_reservation_slip"/>
+ <alias from="(Default)" to="accommodation_slip"/>
+ <alias from="view" to="accommodation_slip"/>
  <action title="Standard View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/hostal_reservation_slip"
+    condition_expr="" url_expr="string:${object_url}/accommodation_slip"
     visible="True">
   <permission value="View"/>