Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 655)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 656)
@@ -239,6 +239,6 @@
               icon_expr="bell.png"/>
  <action-icon category="student" action_id="reserve_accommodation"
-              title="Book Hostal" priority="3"
-              icon_expr="bell.png"/>                          
+              title="Book Hostel" priority="3"
+              icon_expr="bell.png"/>
  <action-icon category="global" action_id="members"
               title="Portal Members" priority="5"
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 655)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 656)
@@ -124,5 +124,5 @@
   </action>
   <action title="Unchecked Items" action_id="unchecked" category="object"
-     condition_expr="python:member and 'academics' in object_url" 
+     condition_expr="python:member and 'academics' in object_url"
      url_expr="string:./unchecked" visible="True">
    <permission>Modify portal content</permission>
@@ -138,5 +138,5 @@
    <permission>View</permission>
   </action>
-  <action title="Book Hostal" action_id="reserve_accommodation"
+  <action title="Book Hostel" action_id="reserve_accommodation"
      category="student" condition_expr="member"
      url_expr="string:${portal_url}/reserve_accommodation"
@@ -153,5 +153,5 @@
    <permission>View</permission>
   </action>
-  <action title="My Registration" action_id="registration"
+  <action title="My Study" action_id="registration"
      category="student_navigation" condition_expr="member"
      url_expr="string:${portal_url}/campus/students" visible="True">
Index: WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 655)
+++ WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 656)
@@ -13,5 +13,5 @@
   <metal:block fill-slot="main"
       tal:define="info context/getStudentInfo">
-    <h3>Hostal Reservation Acknowledge Slip</h3>
+    <h3>Hostel Application Slip</h3>
     <br />
     
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 655)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 656)
@@ -38,5 +38,5 @@
 brain = res[-1]
 student = brain.getObject()
-student_path = brain.getPath()    
+student_path = brain.getPath()
 info['review_state'] = wf.getInfoFor(student,'review_state','keiner')
 info['student'] = student
@@ -58,3 +58,17 @@
 else:
     info['acco'] = None
+    
+items = []    
+sos = context.portal_catalog(container_path=student_path,
+                             review_state = ['opened', 'closed'])
+for so in sos:
+    row = {}
+    soo = so.getObject()
+    sod = soo.getContent()
+    row['id'] = soo.getId()
+    row['title'] = sod.Title()
+    row['url'] = soo.absolute_url()
+    row['is_editable'] = mtool.checkPermission('Modify portal content', soo)
+    items.append(row)
+info['items'] = items
 return info
Index: WAeUP_SRP/trunk/skins/waeup_student/student_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 655)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 656)
@@ -1,3 +1,4 @@
-<metal:html tal:define="info context/getStudentInfo">
+<metal:html tal:define="info context/getStudentInfo;
+                is_manager info/is_manager|nothing;">
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
@@ -6,8 +7,32 @@
       </span>
       <span tal:condition="info"
-            tal:define="review_state info/review_state">
+            tal:define="review_state info/review_state;
+                        rows python: info['items']">
             
         <h3>My Study Data</h3>
         <br />
+
+        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <tr tal:repeat="row rows"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td align="left" valign="middle" style="width: 5px;" 
+                tal:condition="is_manager">
+              
+            </td>
+            <td><a href="view" tal:attributes="href string:${row/url}">
+              <strong tal:content="row/title" /></a> </td>
+            
+            <td> 
+            <a tal:condition="row/is_editable"
+                href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                target="edit"
+                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                [edit]
+            </a> 
+            </td>
+            
+          </tr>
+        </table>
+        
       </span>
     </metal:main>