Index: WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 656)
+++ WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 658)
@@ -1,29 +1,16 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="head_slot">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-  </metal:block>
-  
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main"
-      tal:define="info context/getStudentInfo">
-    <h3>Hostel Application Slip</h3>
-    <br />
-    
-    <table width="" cellpadding="2" cellspacing="0" summary="Form layout"
-           tal:define="acco_doc nocall: info/acco_doc"
-           >
-      <tr><td>Reservation Date: </td><td><span tal:content="python:acco_doc.acco_res_date.aCommonZ()" /></td></tr>
-      <tr><td>Pin used: </td><td><span tal:content="acco_doc/acco_res_sc_pin" /></td></tr>
-      <tr><td>Bed </td><td><span tal:content="python:context.formatBed(acco_doc.bed)" /></td></tr>
-    </table>
-  </metal:block>
-  
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="not: info">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>
+      <h3>Hostel Application Slip</h3>
+      <br />
+      <span tal:omit-tag=""
+            tal:content="structure python: info['acco_doc'].render(proxy=info['acco_doc'],
+            layout_mode='view_slip', 
+            layout_id='student_accommodation')" 
+            />
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/accommodation_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/accommodation_view.pt	(revision 658)
+++ WAeUP_SRP/trunk/skins/waeup_student/accommodation_view.pt	(revision 658)
@@ -0,0 +1,30 @@
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="not: info">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>
+      <span tal:condition="info"
+            tal:define="review_state info/review_state">
+            
+        <div style="text-align: right">
+        <a href="" target="slip" tal:attributes="href string:accommodation_slip"
+            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
+            Accommodation Slip
+        </a>
+        
+        </div>
+
+
+        <h3>Your Hostel Application</h3>
+        <br />
+        <span tal:omit-tag=""
+              tal:content="structure python: info['acco_doc'].render(proxy=info['acco_doc'],
+              layout_mode='view', 
+              layout_id='student_accommodation')" 
+              />
+      </span>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 656)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 658)
@@ -1,59 +1,20 @@
-<html metal:use-macro="here/content_lib_master/macros/master">
-  <metal:block fill-slot="head_slot">
-  </metal:block>
-
-  <metal:block fill-slot="css_slot">
-    <link rel="Stylesheet" type="text/css" href=""
-      tal:attributes="href string:${base_url}document.css" />
-  </metal:block>
-  
-  <metal:block fill-slot="header">
-  </metal:block>
-
-  <metal:block fill-slot="main">
-
-    <tal:block tal:condition="python:context.portal_type == 'Student'" tal:omit-tag="">
-    <h3>Post UME Acknowledegement Slip</h3>
+<metal:html tal:define="info context/getStudentInfo">
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+      <span tal:condition="not: info">
+        <metal:block use-macro="here/error_not_found/macros/not_found" />
+      </span>
+      <span tal:condition="info"
+            tal:define="review_state info/review_state">
+            
+        <h3>Post UME Acknowledegement Slip</h3>
         <br />
-        
-      <tal:block tal:define="application_data python:context.application.getContent();">
-      
-      
-      <table cellpadding="10em" cellspacing="">
-      <tr>
-      <td valign="top">
-        <img tal:condition="application_data/passport|nothing" width="150" height="200" 
-             tal:attributes="src string:${context/absolute_url}/application/passport"/>
-              <span tal:condition="nothing" tal:replace="structure application_data/passport" />
-      </td>
-
-      <td>
-      
-      <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
-      <tr><td>Student ID: </td><td><span tal:content="context/id" /></td>
-      <tr><td>Access Code: </td><td><span tal:content="application_data/app_ac_pin" /></td></tr>
-      <tr><td>Application Date: </td><td><span tal:content="python:application_data.app_ac_date.aCommonZ()" /></td></tr>
-      <tr><td>JAMB Registration Number: </td><td><span tal:content="application_data/jamb_reg_no" /></td></tr>
-      <tr><td>Student's Name: </td><td><span tal:content="application_data/jamb_firstname" /> <span tal:content="application_data/jamb_middlename" /> <span tal:content="application_data/jamb_lastname" /></td></tr>
-      <tr><td>Sex: </td><td><span tal:content="application_data/jamb_sex" /></td></tr>
-      <tr><td>Mode of Entry: </td><td><span tal:content="application_data/entry_mode" /></td></tr>
-      <tr><td>Course of Study: </td><td><span tal:content="application_data/jamb_first_cos" />, <span tal:content="application_data/jamb_second_cos" /></td></tr>
-      <tr><td>State of Origin: </td><td><span tal:content="application_data/jamb_state" /> / <span tal:content="application_data/jamb_lga" /></td></tr>
-      <tr><td>Post UME Examination Date: </td><td></td></tr>
-      </table>
-
-      </td>
-      </tr>
-      </table>
-      
-      </tal:block>
-    </tal:block>
-    <tal:block condition="python:context.portal_type != 'Student'">
-      Please do not manipulate the URL! This is not a student object.
-    </tal:block>  
-  
-  </metal:block>
-
-  <metal:block fill-slot="sub">
-  </metal:block>
-</html>
+        <span tal:omit-tag=""
+              tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+              layout_mode='view_slip', 
+              layout_id='student_application_fe')" 
+              />
+      </span>
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt	(revision 658)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view.pt	(revision 658)
@@ -0,0 +1,32 @@
+<!-- a layout_lib macro -->
+<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<metal:block define-macro="default_view"
+  tal:define="layout options/layout;
+              dm options/datastructure/getDataModel;
+              widgets python:context.getRenderedWidgets(layout);
+              fields python:('session',
+                                 'bed',
+                                 'acco_res_date',
+                                 'acco_res_sc_pin',
+                                 )"
+                                 >
+  <table cellpadding="2" cellspacing="2" summary="layout">
+    <tr tal:repeat="field fields">
+      <tal:block tal:define="cell python: widgets[field]">
+        <tal:block define="widget cell/widget">
+          <div tal:attributes="class cell/widget_css_class|string:label;
+            id python:widget.getHtmlWidgetId()+'_widget';">
+            <td >
+             <span class="dlabel"
+                    tal:condition="widget/label"
+                    tal:content="widget/label">label</span>:
+            </td>
+            <td> 
+               <span tal:replace="structure cell/widget_rendered" />
+            </td>
+          </div>
+        </tal:block>
+      </tal:block>
+    </tr>
+  </table>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view_slip.pt	(revision 658)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view_slip.pt	(revision 658)
@@ -0,0 +1,32 @@
+<!-- a layout_lib macro -->
+<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<metal:block define-macro="default_view"
+  tal:define="layout options/layout;
+              dm options/datastructure/getDataModel;
+              widgets python:context.getRenderedWidgets(layout);
+              fields python:('session',
+                                 'bed',
+                                 'acco_res_date',
+                                 'acco_res_sc_pin',
+                                 )"
+                                 >
+  <table cellpadding="2" cellspacing="2" summary="layout">
+    <tr tal:repeat="field fields">
+      <tal:block tal:define="cell python: widgets[field]">
+        <tal:block define="widget cell/widget">
+          <div tal:attributes="class cell/widget_css_class|string:label;
+            id python:widget.getHtmlWidgetId()+'_widget';">
+            <td >
+             <span class="dlabel"
+                    tal:condition="widget/label"
+                    tal:content="widget/label">label</span>:
+            </td>
+            <td> 
+               <span tal:replace="structure cell/widget_rendered" />
+            </td>
+          </div>
+        </tal:block>
+      </tal:block>
+    </tr>
+  </table>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_slip.pt	(revision 658)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_slip.pt	(revision 658)
@@ -0,0 +1,59 @@
+<!-- a layout_lib macro -->
+<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<metal:block define-macro="default_view"
+  tal:define="layout options/layout;
+              dm options/datastructure/getDataModel;
+              widgets python:context.getRenderedWidgets(layout);
+              fields python:('jamb_reg_no',
+                                 'app_ac_pin',
+                                 'app_ac_date',
+                                 'jamb_lastname',
+                                 'jamb_sex',
+                                 'jamb_first_cos',
+                                 'jamb_second_cos',)"
+                                 >
+  <table cellpadding="2" cellspacing="2" summary="layout">
+    <tr>
+      <td><span class="dlabel">Student ID</span>:
+      </td>
+      <td> 
+         <span tal:replace="python:here.aq_parent.aq_parent.id" />
+      </td>      
+    </tr>
+    <tr tal:repeat="field fields">
+      <tal:block tal:define="cell python: widgets[field]">
+        <tal:block define="widget cell/widget">
+          <div tal:attributes="class cell/widget_css_class|string:label;
+            id python:widget.getHtmlWidgetId()+'_widget';">
+            <td >
+             <span class="dlabel"
+                    tal:condition="widget/label"
+                    tal:content="widget/label">label</span>:
+            </td>
+            <td> 
+               <span tal:replace="structure cell/widget_rendered" />
+            </td>
+          </div>
+        </tal:block>
+      </tal:block>
+    </tr>
+    <tr>
+      <tal:block define="cell widgets/passport;
+                         widget cell/widget"
+                         >
+          <div tal:attributes="class cell/widget_css_class|nothing;
+              id python:widget.getHtmlWidgetId()+'_widget';">
+            <td valign="top">
+            <tal:block condition="widget/label">
+              <span class="label"
+                    tal:content="widget/label">label</span>:
+            </tal:block>
+            </td>
+            <td>
+              <img src="img" tal:replace="structure cell/widget_rendered">
+            </td>
+          </div>
+      </tal:block>
+    </tr>    
+  </table>
+</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 658)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 658)
@@ -0,0 +1,58 @@
+<!-- a layout_lib macro -->
+<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<metal:block define-macro="default_view"
+  tal:define="layout options/layout;
+              dm options/datastructure/getDataModel;
+              widgets python:context.getRenderedWidgets(layout);
+              fields python:('jamb_reg_no',
+                                 'app_ac_pin',
+                                 'app_ac_date',
+                                 'jamb_lastname',
+                                 'jamb_sex',
+                                 'entry_mode',
+                                 'jamb_first_cos',
+                                 'jamb_state',
+                                  )"
+                                 >
+  <table cellpadding="10em" cellspacing="">
+    <tr>
+      <tal:block define="cell widgets/passport;
+                 widget cell/widget"
+                 >
+        <td valign="top">
+          <img src="img" tal:replace="structure cell/widget_rendered" />
+        </td>
+      </tal:block>
+      <td>
+        <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
+          <tr>
+            <td><span class="dlabel">Student ID</span>:
+            </td>
+            <td> 
+              <span tal:replace="python:here.aq_parent.aq_parent.id" />
+            </td>      
+          </tr>
+          <tr tal:repeat="field fields">
+            <tal:block tal:define="cell python: widgets[field]">
+              <tal:block define="widget cell/widget">
+                <div tal:attributes="class cell/widget_css_class|string:label;
+                id python:widget.getHtmlWidgetId()+'_widget';"
+                >
+                  <td >
+                    <span class="dlabel"
+                          tal:condition="widget/label"
+                          tal:content="widget/label">label</span>:
+                  </td>
+                  <td> 
+                    <span tal:replace="structure cell/widget_rendered" />
+                  </td>
+                </div>
+              </tal:block>
+            </tal:block>
+          </tr>
+          <tr><td>Post UME Examination Date: </td><td></td></tr>
+        </table>
+      </td>
+    </tr>
+  </table>
+</metal:block>