Index: WAeUP_SRP/trunk/profiles/default/types/Course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 662)
+++ WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 663)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type">document</property>
+ <property name="cps_proxy_type">folderishdocument</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 662)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 663)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">False</property>
- <property name="cps_proxy_type">document</property>
+ <property name="cps_proxy_type">folderishdocument</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 662)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 663)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">False</property>
- <property name="cps_proxy_type">document</property>
+ <property name="cps_proxy_type">folderishdocument</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 662)
+++ WAeUP_SRP/trunk/skins/waeup_student/searchStudents.py	(revision 663)
@@ -29,5 +29,5 @@
 items = []
 default = {'search_mode': 'name',
-        'review_state': 'created',
+        'review_state': 'all',
         'search_string': ''
         }
@@ -73,5 +73,5 @@
 onlyreview = with_review and not term
 if onlyreview:
-    res = catalog(portal_type=portal_type_query,
+    res = catalog(portal_type='Student',
                   review_state=state)
 elif what == "student_id":
@@ -93,42 +93,39 @@
         pt = portal_type_query
         st = "%s*" % term.strip()
-    if with_review:
-        try:
-            res = catalog(portal_type=pt,SearchableText=st,
-                          review_state=state)
-        except:
-            return context.students_manager_view(rendered = rend,
-                                 psm = 'Search string "%s" not allowed.' % term,
-                                 #psm = "%s, %s" % (psm,ds),
-                                 students = items,
-                                 is_manager = is_manager,
-                                 )
-    else:
-        try:
-            res = catalog(portal_type=pt,SearchableText=st,)
-        except:
-            return context.students_manager_view(rendered = rend,
-                                 psm = 'Searchstring "%s" not allowed' % term,
-                                 #psm = "%s, %s" % (psm,ds),
-                                 students = items,
-                                 is_manager = is_manager,
-                                 )
-
+    try:
+        res = catalog(portal_type=pt,SearchableText=st)
+    except:
+        return context.students_manager_view(rendered = rend,
+                             psm = 'Search string "%s" not allowed.' % term,
+                             #psm = "%s, %s" % (psm,ds),
+                             students = items,
+                             is_manager = is_manager,
+                             )
+students = []
 if res:
     for r in res:
         if r.portal_type in ("StudentApplication","StudentPersonal"):
             student = r.getObject().aq_parent
+##            pp = '/'.join(r.getPath().split('/')[:-1])
+##            student_cat = catalog(pathindex=pp,portal_type='Student')[0]
+##            student_rs = student_cat.review_state
+##            student = student_cat.getObject()
         else:
             student = r.getObject()
-        if student not in items:
-            items.append(student)
-students = []
+        student_rs = wf.getInfoFor(student,'review_state','keiner')
+        if with_review and student_rs != state:
+            continue
+        items.append(student)
 if items:
     for item in items:
         students.append(context.getStudentInfo(item))
-return context.students_manager_view(rendered = rend,
+    return context.students_manager_view(rendered = rend,
                              psm = "%d matching Students found" % len(items),
-                             #psm = "%s, %s" % (psm,ds),
                              students = students,
                              is_manager = is_manager,
                              )
+return context.students_manager_view(rendered = rend,
+                             psm = "Your search for %s in %s with state %s failed" % (st,what,state),
+                             students = students,
+                             is_manager = is_manager,
+                             )