Index: /WAeUP_SRP/trunk/Widgets.py
===================================================================
--- /WAeUP_SRP/trunk/Widgets.py	(revision 666)
+++ /WAeUP_SRP/trunk/Widgets.py	(revision 667)
@@ -247,12 +247,4 @@
 ###)
 
-##def getStudentByRegNo(self,reg_no):
-##    search = self.portal_catalog({'meta_type': 'StudentApplication',
-##                                  'jamb_reg_no': reg_no,
-##                                  })
-##    if len(search) < 1:
-##        return None
-##    return search[0].getObject().
-                    
 class JambRegNoWidget(CPSStringWidget): ###(
     """ JambRegNo Widget"""
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 666)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 667)
@@ -4,5 +4,5 @@
  <property name="layout_edit_method"></property>
  <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
+ <property name="style_prefix">layout_accommodation_</property>
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
@@ -55,15 +55,16 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
- <widget name="bed" meta_type="String Widget">
-  <property name="title">Bed Id</property>
-  <property name="fields">
-   <element value="bed"/>
-  </property>
-  <property name="label">Bed Id</property>
-  <property name="label_edit">Bed Id</property>
-  <property name="readonly_layout_modes">edit</property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
+<widget name="bed" meta_type="Method Widget">
+ <property name="title">Bed</property>
+ <property name="fields">
+  <element value="bed"/>
+ </property>
+ <property name="label">Bed</property>
+ <property name="label_edit">Bed</property>
+ <property name="readonly_layout_modes"/>
+ <property name="hidden_layout_modes"/>
+ <property name="hidden_readonly_layout_modes"/>
+ <property name="render_method">formatBed</property>
+</widget>
  <widget name="session" meta_type="String Widget">
   <property name="title">Session</property>
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/formatBed.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/formatBed.py	(revision 666)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/formatBed.py	(revision 667)
@@ -1,3 +1,3 @@
-##parameters=bed
+##parameters=bed=None,mode=None,datastructure=None
 # $Id: apply_admission.py 543 2006-09-24 07:44:32Z henrik $
 """
@@ -5,4 +5,6 @@
 """
 
+if datastructure is not None:
+    bed = datastructure.get('bed')
 hall,block,room,letter = bed.split('_')
 res = context.portal_catalog(portal_type="AccoHall",id=hall)
Index: /WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 666)
+++ /WAeUP_SRP/trunk/skins/waeup_student/accommodation_slip.pt	(revision 667)
@@ -8,4 +8,9 @@
       <br />
       <span tal:omit-tag=""
+            tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
+            layout_mode='view_info', 
+            layout_id='student_application_fe')" 
+            />
+      <span tal:omit-tag=""
             tal:content="structure python: info['acco_doc'].render(proxy=info['acco_doc'],
             layout_mode='view_slip', 
Index: /WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 667)
+++ /WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 667)
@@ -0,0 +1,49 @@
+<!-- a layout_lib macro -->
+<!-- $Id: layout_lib_default_view.pt 34052 2006-03-06 14:59:24Z atchertchian $ -->
+<metal:block define-macro="default_view"
+  tal:define="layout options/layout;
+              dm options/datastructure/getDataModel;
+              widgets python:context.getRenderedWidgets(layout);
+              fields python:('jamb_lastname','jamb_sex',)"
+              >
+  <table cellpadding="10em" cellspacing="">
+    <tr>
+      <tal:block define="cell widgets/passport;
+                 widget cell/widget"
+                 >
+        <td valign="top">
+          <img src="img" tal:replace="structure cell/widget_rendered" />
+        </td>
+      </tal:block>
+      <td>
+        <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
+          <tr>
+            <td><span class="dlabel">Student ID</span>:
+            </td>
+            <td> 
+              <span tal:replace="python:here.aq_parent.aq_parent.id" />
+            </td>      
+          </tr>
+          <tr tal:repeat="field fields">
+            <tal:block tal:define="cell python: widgets[field]">
+              <tal:block define="widget cell/widget">
+                <div tal:attributes="class cell/widget_css_class|string:label;
+                id python:widget.getHtmlWidgetId()+'_widget';"
+                >
+                  <td >
+                    <span class="dlabel"
+                          tal:condition="widget/label"
+                          tal:content="widget/label">label</span>:
+                  </td>
+                  <td> 
+                    <span tal:replace="structure cell/widget_rendered" />
+                  </td>
+                </div>
+              </tal:block>
+            </tal:block>
+          </tr>
+        </table>
+      </td>
+    </tr>
+  </table>
+</metal:block>