Index: WAeUP_SRP/trunk/skins/waeup_accommodation/formatBed.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/formatBed.py	(revision 668)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/formatBed.py	(revision 669)
@@ -11,3 +11,3 @@
 if res and len(res) == 1:
     hall_title = res[0].Title
-return "Bed %s in Room %s in Block %s in Hall %s" % (letter,room,block,hall_title)
+return " %s / Block %s / Room %s / Bed %s" % (hall_title,block,room,letter)
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view_slip.pt	(revision 668)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_accommodation_view_slip.pt	(revision 669)
@@ -11,5 +11,5 @@
                                  )"
                                  >
-  <table cellpadding="2" cellspacing="2" summary="layout">
+  <table cellpadding="10em" cellspacing="" summary="layout">
     <tr tal:repeat="field fields">
       <tal:block tal:define="cell python: widgets[field]">
@@ -17,5 +17,5 @@
           <div tal:attributes="class cell/widget_css_class|string:label;
             id python:widget.getHtmlWidgetId()+'_widget';">
-            <td >
+            <td width="180px">
              <span class="dlabel"
                     tal:condition="widget/label"
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 668)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_info.pt	(revision 669)
@@ -7,43 +7,41 @@
               fields python:('jamb_lastname','jamb_sex',)"
               >
-  <table cellpadding="10em" cellspacing="">
-    <tr>
+  
       <tal:block define="cell widgets/passport;
-                 widget cell/widget"
-                 >
-        <td valign="top">
+                         widget cell/widget">
           <img src="img" tal:replace="structure cell/widget_rendered" />
-        </td>
       </tal:block>
-      <td>
-        <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
-          <tr>
-            <td><span class="dlabel">Student ID</span>:
-            </td>
-            <td> 
-              <span tal:replace="python:here.aq_parent.aq_parent.id" />
-            </td>      
-          </tr>
-          <tr tal:repeat="field fields">
-            <tal:block tal:define="cell python: widgets[field]">
-              <tal:block define="widget cell/widget">
-                <div tal:attributes="class cell/widget_css_class|string:label;
-                id python:widget.getHtmlWidgetId()+'_widget';"
-                >
-                  <td >
-                    <span class="dlabel"
-                          tal:condition="widget/label"
-                          tal:content="widget/label">label</span>:
-                  </td>
-                  <td> 
-                    <span tal:replace="structure cell/widget_rendered" />
-                  </td>
-                </div>
-              </tal:block>
+
+      <br />
+      
+      <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
+        <tr>
+          <td width="180px"><span class="dlabel">Student ID</span>:
+          </td>
+          <td> 
+            <span tal:replace="python:here.aq_parent.aq_parent.id" />
+          </td>      
+        </tr>
+        <tr tal:repeat="field fields">
+          <tal:block tal:define="cell python: widgets[field]">
+            <tal:block define="widget cell/widget">
+              <div tal:attributes="class cell/widget_css_class|string:label;
+              id python:widget.getHtmlWidgetId()+'_widget';"
+              >
+                <td >
+                  <span class="dlabel"
+                        tal:condition="widget/label"
+                        tal:content="widget/label">label</span>:
+                </td>
+                <td> 
+                  <span tal:replace="structure cell/widget_rendered" />
+                </td>
+              </div>
             </tal:block>
-          </tr>
-        </table>
-      </td>
-    </tr>
-  </table>
+          </tal:block>
+        </tr>
+      </table>
+        
+        
+
 </metal:block>