Index: WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 673)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 674)
@@ -8,5 +8,5 @@
  <property name="product">WAeUP_SRP</property>
  <property name="factory">addStudentAccommodation</property>
- <property name="immediate_view">student_index</property>
+ <property name="immediate_view">academics_document_view</property>
  <property name="global_allow">True</property>
  <property name="filter_content_types">True</property>
@@ -26,8 +26,8 @@
  <property name="storage_methods"/>
  <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="student_index"/>
- <alias from="view" to="student_index"/>
+ <alias from="(Default)" to="academics_document_view"/>
+ <alias from="view" to="academics_document_view"/>
  <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/student_index"
+    condition_expr="" url_expr="string:${object_url}/academics_document_view"
     visible="True">
   <permission value="View"/>
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 673)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 674)
@@ -66,4 +66,8 @@
               'StudentPersonal': '',
               }
+s_view_links = {'StudentApplication': 'application_view',
+              'StudentAccommodation': 'accommodation_view',
+              'StudentPersonal': 'personal_view',
+              }
 sos = context.portal_catalog(container_path=student_path)
 for so in sos:
@@ -76,5 +80,12 @@
     row['type'] = so.portal_type
     row['is_editable'] = mtool.checkPermission('Modify portal content', soo)
-    row['s_edit_link'] = "%s/%s" % (student.absolute_url(),s_edit_links[so.portal_type])
+    sv_link = s_view_links.get(so.portal_type,None)
+    row['s_view_link'] = None
+    if sv_link:
+        row['s_view_link'] = "%s/%s" % (student.absolute_url(),sv_link)
+    se_link = s_edit_links.get(so.portal_type,None)
+    row['s_edit_link'] = None
+    if se_link:
+        row['s_edit_link'] = "%s/%s" % (student.absolute_url(),se_link)
     row['review_state'] = so.review_state
     row['display'] = so.review_state in ('opened','closed')
Index: WAeUP_SRP/trunk/skins/waeup_student/student_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 673)
+++ WAeUP_SRP/trunk/skins/waeup_student/student_view.pt	(revision 674)
@@ -23,5 +23,5 @@
           <tr tal:repeat="row rows"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td><a href="view" tal:attributes="href string:${row/url}">
+            <td><a href="view" tal:attributes="href string:${row/url}/academics_document_view">
               <strong tal:content="row/title" /></a> </td>
             <td> 
@@ -36,28 +36,22 @@
         </table>
 
-        <table tal:condition="is_student" class="contentListing" width="100%" summary="content layout" id="folder_content">      
-          <span tal:repeat="row rows">
-          <tr tal:condition="row/display"
+    <table tal:condition="is_student" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+      <span tal:repeat="row rows">
+        <tr tal:condition="row/display"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td><a href="view" tal:attributes="href string:${row/url}/application_view">
-              <strong tal:content="row/title" /></a> </td>
-            <td> 
-            <a tal:condition="row/is_editable"
-                href="edit" tal:attributes="href string:${row/s_edit_link}">
-                [edit]
+          <td><a href="view" tal:condition="row/s_view_link"
+                 tal:attributes="href string:${row/s_view_link}">
+              <strong tal:content="row/title" /></a>
+           <strong tal:condition="not:row/s_view_link" tal:content="row/title" />
+          </td>
+          <td> 
+            <a tal:condition="python: row['s_edit_link'] and row['is_editable']"
+               href="edit" tal:attributes="href string:${row/s_edit_link}">
+              [edit]
             </a> 
-            </td>
-          </tr>
-          
-          <tr tal:condition="python:row['type'] == 'StudentAccommodation' and row['review_state'] in ['opened', 'closed']"
-            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td><a href="view" tal:attributes="href string:${row/url}/accommodation_view">
-              <strong tal:content="row/title" /></a> </td>
-            <td> 
-            </td>
-          </tr>
-          
-          </span>
-        </table>
+          </td>
+        </tr>
+      </span>
+    </table>
 
         