Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 677)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 680)
@@ -48,5 +48,5 @@
               icon_expr="actionicon_edit_online.png"/>
  <action-icon category="object" action_id="new_bed_list"
-              title="Refresh Bed List" priority="80"
+              title="Update Bed List" priority="80"
               icon_expr="bed_list_refresh.gif"/>
  <action-icon category="folder" action_id="portlets"
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 677)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation.xml	(revision 680)
@@ -2,7 +2,7 @@
 <object name="student_accommodation" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
- <property name="layout_edit_method">layout_waeup_edit</property>
+ <property name="layout_edit_method"></property>
  <property name="layout_view_method"></property>
- <property name="style_prefix">layout_accommodation_</property>
+ <property name="style_prefix">layout_waeup_</property>
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
@@ -18,5 +18,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">iso8601_medium_easy</property>
-<property name="hidden_empty"></property>
+  <property name="hidden_empty"></property>
  </widget>
  <widget name="acco_maint_sc_pin" meta_type="String Widget">
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 677)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_accommodation_fe.xml	(revision 680)
@@ -1,8 +1,8 @@
 <?xml version="1.0"?>
-<object name="student_acco_reserve" meta_type="CPS Layout">
+<object name="student_accommodation_fe" meta_type="CPS Layout">
  <property name="layout_create_method"></property>
  <property name="layout_edit_method"></property>
  <property name="layout_view_method"></property>
- <property name="style_prefix">layout_application_</property>
+ <property name="style_prefix">layout_accommodation_</property>
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
@@ -32,11 +32,95 @@
   <property name="vocabulary">student_status_voc</property>
  </widget>
+
+ <widget name="acco_maint_date" meta_type="DateTime Widget">
+  <property name="title">Maintainance Fee Date</property>
+  <property name="fields">
+   <element value="acco_maint_date"/>
+  </property>
+  <property name="label">Maintainance Fee Date</property>
+  <property name="label_edit">Maintainance Fee Date</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">iso8601_medium_easy</property>
+<property name="hidden_empty"></property>
+ </widget>
+ <widget name="acco_maint_sc_pin" meta_type="String Widget">
+  <property name="title">Maintainance Fee Access Code</property>
+  <property name="fields">
+   <element value="acco_maint_sc_pin"/>
+  </property>
+  <property name="label">Maintainance Fee Access Code</property>
+  <property name="label_edit">Maintainance Fee Access Code</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+<property name="hidden_empty"></property>
+ </widget>
+
+
+ <widget name="acco_res_date" meta_type="DateTime Widget">
+  <property name="title">Reservation Date</property>
+  <property name="fields">
+   <element value="acco_res_date"/>
+  </property>
+  <property name="label">Reservation Date</property>
+  <property name="label_edit">Reservation Date</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">iso8601_medium_easy</property>
+ </widget>
+
+ <widget name="bed" meta_type="Method Widget">
+ <property name="title">Bed</property>
+ <property name="fields">
+  <element value="bed"/>
+ </property>
+ <property name="label">Bed</property>
+ <property name="label_edit">Bed</property>
+ <property name="readonly_layout_modes"/>
+ <property name="hidden_layout_modes"/>
+ <property name="hidden_readonly_layout_modes"/>
+ <property name="render_method">formatBed</property>
+</widget>
+ <widget name="session" meta_type="String Widget">
+  <property name="title">Session</property>
+  <property name="fields">
+   <element value="session"/>
+  </property>
+  <property name="label">Session</property>
+  <property name="label_edit">Session</property>
+  <property name="readonly_layout_modes">edit</property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+
+
+
  <table>
+  <row>
+   <cell name="session"/>
+  </row>
+  <row>
+   <cell name="bed"/>
+  </row>
+  <row>
+   <cell name="acco_res_date"/>
+  </row>
+  <row>
+   <cell name="student_status"/>
+  </row>
   <row>
    <cell name="acco_res_sc_pin"/>
   </row>
   <row>
-   <cell name="student_status"/>
+   <cell name="acco_maint_date"/>
   </row>
+  <row>
+   <cell name="acco_maint_sc_pin"/>
+  </row>
+
  </table>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_accommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_accommodation.xml	(revision 677)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_accommodation.xml	(revision 680)
@@ -7,3 +7,4 @@
  <field name="bed" meta_type="CPS String Field"/>
  <field name="session" meta_type="CPS String Field"/>
+ <field name="student_status" meta_type="CPS String Field"/> 
 </object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_accommodation_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_accommodation_fe.xml	(revision 677)
+++ 	(revision )
@@ -1,5 +1,0 @@
-<?xml version="1.0"?>
-<object name="student_acco_reserve" meta_type="CPS Schema">
- <field name="acco_res_sc_pin" meta_type="CPS String Field"/>
- <field name="student_status" meta_type="CPS String Field"/>
-</object>
Index: WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml	(revision 677)
+++ WAeUP_SRP/trunk/profiles/default/types/AccoFolder.xml	(revision 680)
@@ -41,5 +41,5 @@
   <permission value="Modify portal content"/>
  </action>
-<action title="Refresh Bed List" action_id="new_bed_list"
+<action title="Update Bed List" action_id="new_bed_list"
     category="object" condition_expr=""
     url_expr="string:${object_url}/generateFreeBedsList"
Index: WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 677)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 680)
@@ -38,14 +38,3 @@
   <permission value="Modify portal content"/>
  </action>
- <action title="action_metadata" action_id="metadata" category="object"
-    condition_expr="python:member and 'Manager' in member.getRoles()"
-    url_expr="string:${object_url}/cpsdocument_metadata" visible="False">
-  <permission value="Modify portal content"/>
- </action>
- <action title="Ackowledgement Slip" action_id="slip"
-    category="student_object" condition_expr=""
-    url_expr="string:${object_url}/application_slip" visible="False">
-  <permission value="View"/>
- </action>
-
 </object>