Index: /WAeUP_SRP/trunk/Students.py
===================================================================
--- /WAeUP_SRP/trunk/Students.py	(revision 680)
+++ /WAeUP_SRP/trunk/Students.py	(revision 681)
@@ -285,5 +285,5 @@
                 tr_count = 0
             tr_count += 1
-        return self.students.academics_contents()
+        return self.REQUEST.RESPONSE.redirect("%s" % self.REQUEST.get('URL1'))
 
 ###)
Index: /WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 680)
+++ /WAeUP_SRP/trunk/skins/waeup_academics/academics_index.py	(revision 681)
@@ -18,9 +18,6 @@
 
 if pm.isAnonymousUser():
-    return redirect("%s/academics_contents" % context.absolute_url())
-
-campus = context.portal_catalog(meta_type = "University")[-1].getObject()
-
-if context.isManager() or context.isStudent():
+    return redirect("%s/srp_anonymous_view" % context.portal_url())
+else:
     if context.portal_type == 'AcademicsFolder':
         return context.academics.academics_view()
@@ -37,6 +34,4 @@
     elif context.portal_type in ('CertificateCourse','Course'):
         return context.academics_document_view()
-    return redirect("%s/academics_contents" % context.absolute_url())
-else:
-    return redirect("%s/academics_contents" % context.absolute_url())
+    return redirect("%s/srp_manager_view" % context.portal_url())
 
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py	(revision 680)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/acco_folder_index.py	(revision 681)
@@ -17,7 +17,4 @@
 pm = context.portal_membership
 
-if pm.isAnonymousUser():
-    return redirect("%s/academics_contents" % context.absolute_url())
-
 campus = context.portal_catalog(meta_type = "University")[-1].getObject()
 
@@ -27,6 +24,6 @@
     elif context.portal_type == 'AccoHall':
         return context.acco_hall_view()
-    return redirect("%s/academics_contents" % context.absolute_url())
+    return redirect("%s/srp_manager_view" % context.portal_url())
 else:
-    return redirect("%s/academics_contents" % context.absolute_url())
+    return redirect("%s/srp_anonymous_view" % context.portal_url())
 
Index: /WAeUP_SRP/trunk/skins/waeup_default/id_rename.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/id_rename.py	(revision 680)
+++ /WAeUP_SRP/trunk/skins/waeup_default/id_rename.py	(revision 681)
@@ -11,7 +11,7 @@
 if context.portal_type in ('CoursesFolder',):
     return REQUEST.RESPONSE.redirect(context.absolute_url() + \
-                                ('/academics_contents?portal_status_message=%s' \
+                                ('/academics_index?portal_status_message=%s' \
                                 % ('Courses cannot be renamed',)))
-    
+
 new_ids = REQUEST['new_ids']
 new_ids = [id.upper() for id in REQUEST['new_ids']]
@@ -20,7 +20,7 @@
 if context.portal_type == "University":
     here = context.academics
-    
 
-here.manage_renameObjects(REQUEST['ids'], new_ids, REQUEST) 
+
+here.manage_renameObjects(REQUEST['ids'], new_ids, REQUEST)
 
 return REQUEST.RESPONSE.redirect(here.absolute_url() + \
Index: /WAeUP_SRP/trunk/skins/waeup_student/student_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 680)
+++ /WAeUP_SRP/trunk/skins/waeup_student/student_index.py	(revision 681)
@@ -19,5 +19,4 @@
 if pm.isAnonymousUser():
     return redirect("%s/srp_anonymous_view" % context.absolute_url())
-
 if context.isManager():
     return redirect("%s/student_view" % context.absolute_url())
Index: /WAeUP_SRP/trunk/skins/waeup_student/students_index.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 680)
+++ /WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 681)
@@ -18,5 +18,5 @@
 
 if pm.isAnonymousUser():
-    return redirect("%s/srp_anonymous_view" % context.absolute_url())
+    return redirect("%s/srp_anonymous_view" % context.portal_url())
 
 campus = context.portal_catalog(meta_type = "University")[-1].getObject()