Index: WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 682)
+++ WAeUP_SRP/trunk/profiles/default/types/CertificateCourse.xml	(revision 684)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type">document</property>
+ <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/profiles/default/types/Course.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 682)
+++ WAeUP_SRP/trunk/profiles/default/types/Course.xml	(revision 684)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type">folderishdocument</property>
+ <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/profiles/default/types/Department.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Department.xml	(revision 682)
+++ WAeUP_SRP/trunk/profiles/default/types/Department.xml	(revision 684)
@@ -17,5 +17,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type">btreefolderishdocument</property>
+ <property name="cps_proxy_type">btreefolder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/profiles/default/types/Faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 682)
+++ WAeUP_SRP/trunk/profiles/default/types/Faculty.xml	(revision 684)
@@ -16,5 +16,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type">btreefolderishdocument</property>
+ <property name="cps_proxy_type">btreefolder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/profiles/default/types/ScratchCard.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/ScratchCard.xml	(revision 682)
+++ WAeUP_SRP/trunk/profiles/default/types/ScratchCard.xml	(revision 684)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type">document</property>
+ <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatch.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatch.xml	(revision 682)
+++ WAeUP_SRP/trunk/profiles/default/types/ScratchCardBatch.xml	(revision 684)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">False</property>
- <property name="cps_proxy_type">document</property>
+ <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 682)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentAccommodation.xml	(revision 684)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">False</property>
- <property name="cps_proxy_type">document</property>
+ <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 682)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentApplication.xml	(revision 684)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">False</property>
- <property name="cps_proxy_type">folderishdocument</property>
+ <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 682)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentClearance.xml	(revision 684)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">False</property>
- <property name="cps_proxy_type">folderishdocument</property>
+ <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml	(revision 682)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentCourseResult.xml	(revision 684)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">True</property>
- <property name="cps_proxy_type"></property>
+ <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">
Index: WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 682)
+++ WAeUP_SRP/trunk/profiles/default/types/StudentPersonal.xml	(revision 684)
@@ -14,5 +14,5 @@
  <property name="allow_discussion">False</property>
  <property name="cps_is_searchable">False</property>
- <property name="cps_proxy_type">folderishdocument</property>
+ <property name="cps_proxy_type">folder</property>
  <property name="cps_display_as_document_in_listing">True</property>
  <property name="schemas">